import React from 'react';
import { NsAccordionItemProps, NsCollapse } from '..';
import NsAccordionHeader from './NsAccordionHeader';
import { StyledToggleSection } from './ToggleSection.styled';

/**
 * this component is used by accordion to pass title
 * and content
 */
const NsAccordionItem = ({
    isOpen,
    toggleOpen,
    title,
    content,
    variant,
    headerTypographyVariant,
    closedIconName,
    openedIconName,
}: NsAccordionItemProps) => {
    return (
        <StyledToggleSection variant={variant}>
            <NsAccordionHeader
                additionalProps={{ className: 'accordion-section' }}
                closedIconName={closedIconName}
                headerTypographyVariant={headerTypographyVariant}
                isOpen={isOpen}
                openedIconName={openedIconName}
                onClick={toggleOpen}
                title={title}
                variant={variant}
            />
            <NsCollapse isOpen={isOpen} variant={variant}>
                {content}
            </NsCollapse>
        </StyledToggleSection>
    );
};

export default NsAccordionItem;
