import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsAccordionItem } from '@/common/index';

type ComponentType = typeof NsAccordionItem;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Accordion/NsAccordionItem',
    component: NsAccordionItem,
    decorators: [withCenterDecorator],
    argTypes: {
        isOpen: {
            control: 'boolean',
            description: 'if true renders NsAccordionItem in open state, and close state otherwise',
        },
        content: {},
        title: {
            control: 'string',
            description: 'text used for header of section',
        },
    },
} as MetaStory;

export const OpenSection: Story = {
    args: {
        isOpen: true,
        content: 'Nuskin Description',
        title: 'Nuskin',
    },
};

export const ClosedSection: Story = {
    args: {
        isOpen: false,
        content: 'Nuskin Description',
        title: 'Nuskin',
    },
};
