import { ReactNode, CSSProperties } from 'react';

export interface NsAlertProps {
    context?: string;
    title?: string;
    threshhold?: number; // TODO: update to threshold, i.e. remove extra h
    type?: string;
    visible?: boolean;
    head?: ReactNode;
    body?: ReactNode;
    onDismiss?: () => void;
    foot?: ReactNode;
}

export interface HeaderProps {
    children?: ReactNode; // Default slot content
    head?: ReactNode; // Content for the "head" named slot (optional)
}

export type AlertContainerParams = {
    visible: boolean;
};

export type ContextType = 'error' | 'info' | 'notice' | 'success' | 'warning';
export type AlertType = 'auto' | 'banner' | 'card';

export type AlertParams = {
    context: ContextType;
    type: AlertType;
};

export type CustomCSSProperties = CSSProperties & {
    'min-height'?: string;
    'content-column-start'?: string;
    'content-column-end'?: string;
    'bar-position'?: string;
    'foot-visibility'?: string;
    'foot-display'?: string;
};

export interface TypeMapCSS {
    banner: CustomCSSProperties;
    card: CustomCSSProperties;
    auto?: CustomCSSProperties;
}
