import type { Meta, StoryObj } from '@storybook/react';
import { NsAuthDropdown } from './';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';

type ComponentType = typeof NsAuthDropdown;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsAuthDropdown',
    component: NsAuthDropdown,
    decorators: [withCenterDecorator],
    argTypes: {},
    args: {
        signInRedirectLink: '/signIn',
        signUpRedirectLink: '/signUp',
        signInBtnText: 'Sign In',
        signUpLinkText: 'Sign up today!',
        signUpLinkPrefixText: 'New customer?',
        titleText: 'SIGN UP / SIGN IN',
        closeOnMouseLeave: true,
    },
} as MetaStory;

export const AuthDropdown: Story = {};
