import { ListStyled } from './Mock.styled';
import { NsTypography } from '../../typography';
import { NsIcon } from '../../icon';
import { ListUiProps } from '../types';

const OptionUiComponent = ({ option }: ListUiProps) => {
    return (
        <ListStyled className="checker">
            <div className="item-description" role="link" tabIndex={0}>
                <NsTypography aria-label="Nu Skin Tumbler" variant="p-m" colorOverride="#63666A">
                    <img src={option.image} alt="No-image" />
                    {option?.value}
                </NsTypography>
            </div>
            {option.icon ? (
                <div className="add-to-cart-button" role="button" tabIndex={0} aria-label="add to cart">
                    <NsIcon name={option.icon} size="small" />
                </div>
            ) : null}
        </ListStyled>
    );
};

export { OptionUiComponent };
