import React, { HTMLAttributes } from 'react';
import { AdditionalProps } from '../common.types';
import { NsIconNameType } from '../icon';
import { ComponentsProps } from '@mui/material';

export type NsAutocompleteProps = {
    id?: string;
    options: OptionsProps[];
    loading?:boolean;
    renderOptions: React.ComponentType<any>;
    noOptionsText ?:string;
    // eslint-disable-next-line no-unused-vars
    onSelect?: (params: OptionsProps | null) => void;
    // eslint-disable-next-line no-unused-vars
    onChange?: (params) => void;
    clear?: {
        text: string;
        show?: boolean; //default to false
        onClear: () => {};
    };
    seeMore?: {
        text: string;
        show?: boolean; //default to false
        onSeeMore: () => {};
    };
    placeholder?: string;
    className?: string;
    iconStart?: string | React.ReactNode;
    iconEnd?: string | React.ReactNode;
} & AdditionalProps;

export type ListUiProps = {
    option: OptionsProps;
};

export type OptionsProps = {
    id: string;
    group?: string;
    value: string;
    icon?: NsIconNameType;
    image?: string;
    groupBgColor?: string;
};

export type ComponentBoxProps = ComponentsProps & HTMLAttributes<HTMLElement>;
