/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsBanner.tsx
 * @description NsBanner component with a image background
 */

import React, { PropsWithChildren } from 'react';

import { NsBannerProps } from './types.d';
import { StyledBanner, StyledHeroText } from './NsBanner.styled';
import { NsImage } from '../';

/* TODO: once we have storybook 7, we can try converting this NsImage to NsNextImage */
const NsBanner = (props: PropsWithChildren<NsBannerProps>) => {
    const {
        children,
        imageUrl,
        altText,
        alignment = 'center',
        justify = 'start',
        className = '',
        additionalProps = {},
    } = props;

    return (
        <StyledBanner className={className}>
            <NsImage
                src={imageUrl}
                alt={altText || 'NsBanner'}
                id="bgImage"
                width={0}
                height={0}
                {...additionalProps}
            />
            <StyledHeroText $alignment={alignment} $justify={justify}>
                <div className="mx-14">{children}</div>
            </StyledHeroText>
        </StyledBanner>
    );
};

export default NsBanner;
