/**
 * @description NsBanner component.
 */

import type { Meta, StoryObj } from '@storybook/react';

import { NsBreadcrumb } from './';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { breadcrumbItems } from './data';

type ComponentType = typeof NsBreadcrumb;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsBreadcrumb',
    component: NsBreadcrumb,
    decorators: [withCenterDecorator],
    argTypes: {
        iconVisibility: { control: 'boolean' },
    },
    args: {
        items: [
            { label: 'Home', href: 'home', icon: 'home' },
            { label: 'Call to action', href: '/products' },
            { label: 'Call to action', href: '/products/shirts' },
            { label: 'Product', href: '' },
        ],
        iconVisibility: false,
    },
} as MetaStory;

export const Breadcrumb: Story = {};
export const WithIcons: Story = {
    args: {
        items: breadcrumbItems,
        iconVisibility: true,
    },
};
