import { NsNextImage, NsLink } from '../';
import { NsFfgStyled } from './styled/NsFfgStyled';
import { NsFfgCardProps } from './types.d';

const NsFfgCard = ({ actionText, actionLink, text, topImageUrl, topImageAlt, additionalProps }: NsFfgCardProps) => {
    return (
        <NsFfgStyled data-testid={additionalProps?.testid}>
            <div className="top-image">
                <NsNextImage height={192} width={288} alt={topImageAlt} src={topImageUrl} />
            </div>
            <div className="body-text">{text}</div>
            <NsLink className="action-link" href={actionLink}>
                {actionText || 'LEARN MORE'}
            </NsLink>
        </NsFfgStyled>
    );
};
export default NsFfgCard;
