import { styled } from '@nuskin/foundation-theme';
import IconWrapper from './IconWrapper';
import { NsTypography, NsLink, NsIcon } from '..';

interface CarousalControlProps {
    next(): void;
    prev(): void;
    viewAllUrl: string;
}
/*
This component is visible over the carousal and it has prev and next buttons and view all link
*/
const Wrapper = styled.div`
    display: flex;
    justify-content: flex-end;
    padding: 0 30px;
    margin: 10px 20px;
`;
const InnerWrapper = styled.div`
    display: flex;
    width: 220px;
    gap: 20px;
    align-items: center;
`;
const CarousalControl = ({ next, prev, viewAllUrl }: CarousalControlProps) => {
    return (
        <Wrapper>
            <InnerWrapper>
                <NsLink href={viewAllUrl}>
                    <NsTypography variant={'h5'}>View All</NsTypography>
                </NsLink>
                <IconWrapper onClick={prev} className="carousal-prev-button">
                    <NsIcon name="arrowLeft" />
                </IconWrapper>
                <IconWrapper onClick={next} className="carousal-next-button">
                    <NsIcon name="arrowRight" />
                </IconWrapper>
            </InnerWrapper>
        </Wrapper>
    );
};
export default CarousalControl;
