import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsCartIcon } from './';

type ComponentType = typeof NsCartIcon;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsCartIcon',
    component: NsCartIcon,
    decorators: [withCenterDecorator],
    argTypes: {
        itemCount: { control: 'number', defaultValue: 1 },
        size: { control: 'select', options: ['small', 'medium', 'large', 'xLarge'] },
        color: {
            control: 'select',
            options: ['primary', 'secondary', 'success', 'error', 'warning', 'info'],
        },
    },
    args: {
        itemCount: 1,
        color: 'primary',
        size: 'large',
    },
} as MetaStory;

export const CartIcon: Story = {};
