import { Theme } from '@mui/material';
import { styled, FoundationTheme } from '@nuskin/foundation-theme';
import { NsIconSizeType } from '../icon/types';

type ItemCountParams = {
    size: NsIconSizeType;
    color: FoundationTheme.PaletteColors;
    theme?: Theme;
};

export const CartIconContainer = styled.div`
    position: relative;
    display: inline-block;
`;

const BadgeFontSizeMap = {
    small: '8px',
    medium: '10px',
    large: '12px',
    xLarge: '14px',
};

const BadgePosMap = {
    small: '-8px',
    medium: '-6px',
    large: '-4px',
    xLarge: '-1px',
};

export const ItemCount = styled.span<ItemCountParams>`
    color: ${({ color, theme }) => theme?.palette?.[color]?.main};
    font-size: ${({ size }) => BadgeFontSizeMap[size]};
    right: ${({ size }) => BadgePosMap[size]};
    text-align: center;
    font-weight: 600;
    position: absolute;
    width: 32px;
    height: auto;
    top: -4px;
`;
