import { CheckboxProps as MUICheckboxProps } from '@material-ui/core/Checkbox';

import { NsFlagProps } from '../flag';

// Define the props for the custom checkbox component
export type NsCheckboxProps = Partial<Pick<MUICheckboxProps, 'label' | 'onChange'>> & {
    name: string;
    className?: string;
    checked: boolean;
    /* Aria label for the checkbox area. */
    ariaLabel?: string;
    /* True if you want disable the checkbox and label . */
    disabled?: boolean;
    /* Size of the checkbox component. Either small / medium. */
    size?: 'small' | 'medium';
    /* Flag component props */
    flag?: NsFlagProps;
    /*  Test Id for testing purpose */
    testid?: string;
};
