import { NsColumnControl } from '@/common/index';
import { render, screen } from '@/test-utils/index';
import { DivArray } from '../stories/DivArray';

describe('NsColumnControl component', () => {
    it('renders an column with proper grid value for tablet', () => {
        render(
            <NsColumnControl columnClass="ns-col-lg-1-1-1 ns-col-md-1-1 ns-col-sm-1">
                <DivArray elementsCount={4} />
            </NsColumnControl>
        );
        const element = screen.getByTestId('ns-column-control');
        expect(element).toHaveStyle('grid-template-columns: 1fr 1fr 1fr;}');
    });
    it('renders an column with proper grid value', () => {
        console.warn = jest.fn();
        render(
            <NsColumnControl columnClass="">
                <DivArray elementsCount={4} />
            </NsColumnControl>
        );
        expect(console.warn).toHaveBeenCalledWith(expect.stringContaining('Received invalid className'));
    });
});
