import React from 'react';
import { ListItem, ListItemContainer } from './NsSelect.styled';
import { SelectOptionProps } from './types.d';

export const NsSelectOption: React.FC<SelectOptionProps> = ({
    value,
    label,
    onSelect,
    selectedValue,
    showListDivider = true,
}) => {
    const handleClick = () => {
        if (onSelect && typeof onSelect === 'function') {
            onSelect(value);
        }
    };

    return (
        <ListItemContainer
            data-testid={`option-${value}`}
            isSelected={value === selectedValue}
            showListDivider={showListDivider}
            onClick={handleClick}
        >
            <ListItem isSelected={value === selectedValue}>{label}</ListItem>
        </ListItemContainer>

    );
};
export default NsSelectOption;
