import { ReactNode } from 'react';
import { FoundationTheme } from '@nuskin/foundation-theme';

export interface SelectProps {
    selectedValue: string;
    selectedLabel: string;
    onSelect: (arg: string) => void; // eslint-disable-line
    children: ReactNode;
    disabled?: boolean;
    type?: 'outlined' | 'unfilled';
    placeholder?: string;
    selectBorderColor?: FoundationTheme.PaletteColors;
    closeOnMouseLeave?: boolean;
    showListDivider?: boolean;
    label?: string;
    readOnly?: boolean;
    name?: string; 
    errorMessage?: string;
    menuProps?: string | object;
    reverseArrowControls?: boolean;
    itemText?: string; 
    itemValue?: string;
    validateOnBlur?: boolean;
    autoComplete?: string;
    rules?: any[];
}

export interface SelectOptionProps {
    value: string;
    label: string;
    selectedValue?: string;
    onSelect?: (arg: string) => void; // eslint-disable-line
    showListDivider?: boolean;
}
