// TODO: const ariel = #f8e9f8;

import { styled, ColorUtils } from '@nuskin/foundation-theme';

import { 
    Table,
    TableContainer,
    TableSortLabel,
    TableRow,
    TableCell
} from '@mui/material';
import Pagination from '@mui/material/Pagination';
import LinearProgress from '@mui/material/LinearProgress';

const { color } = ColorUtils;

export const StyledTableContainer= styled(TableContainer)`
    background-color: ${color('primary', 'white')};
`;

export const StyledTable = styled(Table)`
    size: medium;
`;

export const StyledTableSortLabel = styled(TableSortLabel)`
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 600;
    line-height: 16px;
    letter-spacing: 0.05em;
    color: rgba(0, 0, 0, 0.54);
    &:hover {
    color: ${color('primary', 'black')};
    }
`;

export const StyledTableLabel = styled.span`
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 700;
    line-height: 16px;
    letter-spacing: 0.05em;
    color: rgba(0, 0, 0, 0.54);
    &:hover {
        cursor: default;
    }
`;

export const StyledPageComponent = styled.div`
    background-color: ${color('primary', 'white')};
`;

export const StyledEmptyRow = styled(TableRow)<{emptyRows: number}>`
    height: ${({ emptyRows }) => 48 * emptyRows}px;
`;

// [Todo-Arun] - Move f8e9f8 to custom color palette
export const StyledTableRow  = styled(TableRow)`
    &:hover {
        background-color: #f8e9f8 !important;
    }
`;

export const StyledTableLastCell = styled(TableCell)`
    display: flex;
    height: 49px;
    align-items: center;
    padding: 0 24px;
    margin-bottom: -0.5px;

    .action {
        margin-left: auto;
    }
`;

export const StyledOriginalTableCell = styled(TableCell)`
  height: 48px;
  padding: 0 24px;
`;

export const StyledPagination = styled(Pagination)`
    .MuiPagination-ul {
        display: flex;
        justify-content: flex-end;
        background-color: ${color('primary', 'white')};
    }
    & .MuiPaginationItem-previousNext {
        margin: 0.3rem 10px;
        width: 2rem;
        height: 2rem;
        border-radius: 4px;
    }
    & .MuiPaginationItem-page {
        border-radius: 0px;
        width: auto;
        min-width: 34px;
        padding: 0 5px;
        font-size: 16px;
        line-height: 17px;
        border-color: ${color('primary', 'black')};
    }
    & .MuiPaginationItem-root.Mui-selected {
        background-color: ${color('primary', 'black')};
        color: ${color('primary', 'white')};
    }
`;

export const StyledExpandCell= styled(TableCell)`
    padding-bottom: 0;
    padding-top: 0;
    &.remove {
        border: 0;
    }
`;

export const StyledProgressCell = styled(TableCell)`
    padding: 0;
    border: 0;
`;

export const StyledLinearProgress = styled(LinearProgress)`
  && {
    width: 100%;
    height: 7px;
    border-radius: 4px;
  }
`;
