import React, { PropsWithChildren } from 'react';
import { NsTypographyProps } from './types.d';
import { StyledTypography } from './Typography.styled';

const NsTypography = ({
    children,
    fontStyle = 'normal',
    weight = 'normal',
    className = '',
    variant = 'p-l',
    decoration = 'none',
    color = 'primary',
    additionalProps = {},
    colorOverride = '',
}: PropsWithChildren<NsTypographyProps>) => {
    return (
        <StyledTypography
            fontStyle={fontStyle}
            className={className}
            weight={weight}
            variant={variant}
            decoration={decoration}
            colorOverride={colorOverride}
            color={color}
            {...additionalProps}
        >
            {children}
        </StyledTypography>
    );
};

export default NsTypography;
